FullWrtTextInternal::Paragraph Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
FullWrtTextInternal::Paragraph Struct Referencefinal

Internal: class to store the paragraph properties. More...

Inheritance diagram for FullWrtTextInternal::Paragraph:

## Public Member Functions
| Paragraph ()
| Constructor.
| Paragraph (Paragraph const &)=default
| ~Paragraph () final
| destructor
bool | isTable () const
| returns true if this is a table
void | setAlign (int align)
| set the align type
void | setInterlineSpacing (double spacing, librevenge::RVNGUnit unit)
| set the interline spacing
void | setSpacings (double spacing, bool before)
| set the before/after spacing ( negative in point, positive in percent )
void | setBorder (FullWrtStruct::Border const &border)
| set the border type
void | updateFromRuler (Paragraph const &ruler)
| update the paragraph data from a ruler
bool | getTableDimensions (std::vector< float > &dim) const
| returns the table dimension in points
MWAWParagraph | updateToSent () const
| update the paragraph data to be sent to a listener
Public Member Functions inherited from MWAWParagraph
| MWAWParagraph ()
| constructor
| MWAWParagraph (MWAWParagraph const &)=default
MWAWParagraph & | operator= (MWAWParagraph const &)=default
MWAWParagraph & | operator= (MWAWParagraph &&)=default
virtual | ~MWAWParagraph ()
| destructor
bool | operator== (MWAWParagraph const &p) const
| operator==
bool | operator!= (MWAWParagraph const &p) const
| operator!=
int | cmp (MWAWParagraph const &p) const
| a comparison function
double | getMarginsWidth () const
| return the paragraph margin width (in inches)
bool | hasBorders () const
| check if the paragraph has some borders
bool | hasDifferentBorders () const
| check if the paragraph has different borders
void | resizeBorders (size_t newSize)
| a function used to resize the borders list ( adding empty borders if needed )
void | setInterline (double value, librevenge::RVNGUnit unit, LineSpacingType type=Fixed)
| set the interline
void | addTo (librevenge::RVNGPropertyList &propList, bool inTable) const
| add to the propList
void | insert (MWAWParagraph const &para)
| insert the set values of para in the actual paragraph

## Public Attributes
int | m_align
| the align value
double | m_interSpacing
| the spacing
librevenge::RVNGUnit | m_interSpacingUnit
| the spacing unit
double | m_befAftSpacings [2]
| the before/after spacing ( negative in point, positive in percent)
MWAWVec2f | m_dim
| the zone dimension
FullWrtStruct::Border | m_border
| the actual border
bool | m_isTable
| a flag to know if this is a table
int | m_tableBorderId
| the table border id
std::vector< int > | m_tableFlags
| the list of table limit
int | m_actCol
| the index of the actual column to send
bool | m_isSent
| a flag to know if the parser is send or not
Public Attributes inherited from MWAWParagraph
MWAWVariable< double > | m_margins [3]
| the margins
MWAWVariable< librevenge::RVNGUnit > | m_marginsUnit
| the margins INCH, ...
MWAWVariable< double > | m_spacings [3]
| the line spacing
MWAWVariable< librevenge::RVNGUnit > | m_spacingsInterlineUnit
| the interline unit PERCENT or INCH, ...
MWAWVariable< LineSpacingType > | m_spacingsInterlineType
| the interline type: fixed, atLeast, ...
MWAWVariable< std::vector< MWAWTabStop > > | m_tabs
| the tabulations
MWAWVariable< bool > | m_tabsRelativeToLeftMargin
| true if the tabs are relative to left margin, false if there are relative to the page margin (default)
MWAWVariable< Justification > | m_justify
| the justification
MWAWVariable< int > | m_breakStatus
| a list of bits: 0x1 (unbreakable), 0x2 (do not break after)
MWAWVariable< libmwaw::WritingMode > | m_writingMode
| the writing mode
MWAWVariable< int > | m_listLevelIndex
| the actual level index
MWAWVariable< int > | m_listId
| the list id (if know )
MWAWVariable< int > | m_listStartValue
| the list start value (if set )
MWAWVariable< MWAWListLevel > | m_listLevel
| the actual level
MWAWVariable< MWAWColor > | m_backgroundColor
| the background color
std::vector< MWAWVariable< MWAWBorder > > | m_borders
| list of border ( order MWAWBorder::Pos)
MWAWVariable< int > | m_dropNumCharacters
| the drop number character
MWAWVariable< int > | m_dropNumLines
| the drop number of lines
std::string | m_styleName
| the style name
std::string | m_extra
| a string to store some errors

## Friends
std::ostream & | operator<< (std::ostream &o, Paragraph const &ind)
| operator<<

## Additional Inherited Members
Public Types inherited from MWAWParagraph
enum | { NoBreakBit = 0x1 , NoBreakWithNextBit =0x2 }
| some bit use to defined the break status More...
enum | Justification { JustificationLeft , JustificationFull , JustificationCenter , JustificationRight , JustificationFullAllLines }
| an enum used to defined the paragraph justification: left, center, right, full ... More...
enum | LineSpacingType { Fixed , AtLeast }
| the line spacing type: fixed or at least More...

## Detailed Description

Internal: class to store the paragraph properties.

## Constructor & Destructor Documentation

## ◆ Paragraph() [1/2]

FullWrtTextInternal::Paragraph::Paragraph | ( |  | ) |
| inline

Constructor.

## ◆ Paragraph() [2/2]

FullWrtTextInternal::Paragraph::Paragraph | ( | Paragraph const & |  | ) |
| default

## ◆ ~Paragraph()

FullWrtTextInternal::Paragraph::~Paragraph | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ getTableDimensions()

bool FullWrtTextInternal::Paragraph::getTableDimensions | ( | std::vector< float > & | dim | ) | const
| inline

returns the table dimension in points

Referenced by FullWrtText::sendTable().

## ◆ isTable()

bool FullWrtTextInternal::Paragraph::isTable | ( |  | ) | const
| inline

returns true if this is a table

Referenced by FullWrtText::send().

## ◆ setAlign()

void FullWrtTextInternal::Paragraph::setAlign | ( | int | align | ) |
| inline

set the align type

Referenced by FullWrtText::send().

## ◆ setBorder()

void FullWrtTextInternal::Paragraph::setBorder | ( | FullWrtStruct::Border const & | border | ) |
| inline

set the border type

Referenced by FullWrtText::send().

## ◆ setInterlineSpacing()

void FullWrtTextInternal::Paragraph::setInterlineSpacing | ( | double | spacing,
|  | librevenge::RVNGUnit | unit
| ) |  |
| inline

set the interline spacing

Referenced by FullWrtText::send().

## ◆ setSpacings()

void FullWrtTextInternal::Paragraph::setSpacings | ( | double | spacing,
|  | bool | before
| ) |  |
| inline

set the before/after spacing ( negative in point, positive in percent )

Referenced by FullWrtText::send().

## ◆ updateFromRuler()

void FullWrtTextInternal::Paragraph::updateFromRuler | ( | Paragraph const & | ruler | ) |
| inline

update the paragraph data from a ruler

Referenced by FullWrtText::send().

## ◆ updateToSent()

MWAWParagraph FullWrtTextInternal::Paragraph::updateToSent | ( |  | ) | const
| inline

update the paragraph data to be sent to a listener

Referenced by FullWrtText::send().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Paragraph const & | ind
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_actCol

int FullWrtTextInternal::Paragraph::m_actCol
| mutable

the index of the actual column to send

Referenced by FullWrtText::sendTable(), and updateToSent().

## ◆ m_align

int FullWrtTextInternal::Paragraph::m_align

the align value

Referenced by FullWrtText::send(), setAlign(), and updateToSent().

## ◆ m_befAftSpacings

double FullWrtTextInternal::Paragraph::m_befAftSpacings[2]

the before/after spacing ( negative in point, positive in percent)

Referenced by Paragraph(), setSpacings(), and updateToSent().

## ◆ m_border

FullWrtStruct::Border FullWrtTextInternal::Paragraph::m_border

the actual border

Referenced by setBorder(), and updateToSent().

## ◆ m_dim

MWAWVec2f FullWrtTextInternal::Paragraph::m_dim

the zone dimension

Referenced by getTableDimensions(), FullWrtText::readParagraphTabs(), and updateFromRuler().

## ◆ m_interSpacing

double FullWrtTextInternal::Paragraph::m_interSpacing

the spacing

Referenced by setInterlineSpacing(), and updateToSent().

## ◆ m_interSpacingUnit

librevenge::RVNGUnit FullWrtTextInternal::Paragraph::m_interSpacingUnit

the spacing unit

Referenced by setInterlineSpacing(), and updateToSent().

## ◆ m_isSent

bool FullWrtTextInternal::Paragraph::m_isSent
| mutable

a flag to know if the parser is send or not

Referenced by FullWrtText::send(), FullWrtText::sendTable(), setAlign(), setBorder(), setInterlineSpacing(), setSpacings(), updateFromRuler(), and updateToSent().

## ◆ m_isTable

bool FullWrtTextInternal::Paragraph::m_isTable

a flag to know if this is a table

Referenced by isTable(), FullWrtText::readParagraphTabs(), updateFromRuler(), and updateToSent().

## ◆ m_tableBorderId

int FullWrtTextInternal::Paragraph::m_tableBorderId

the table border id

Referenced by FullWrtText::readParagraphTabs(), FullWrtText::sendTable(), and updateFromRuler().

## ◆ m_tableFlags

std::vector<int> FullWrtTextInternal::Paragraph::m_tableFlags

the list of table limit

Referenced by getTableDimensions(), FullWrtText::readParagraphTabs(), updateFromRuler(), and updateToSent().

The documentation for this struct was generated from the following file:

- FullWrtText.cxx